/*
 * Copyright 2025 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package xyz.zhouxy.plusone.validator;

/**
 * 校验器
 *
 * <p>
 * 用于定义对特定类型对象的校验规则
 * </p>
 *
 * @param <T> 待校验对象的类型
 * @author ZhouXY
 */
public interface IValidator<T> {

    /**
     * 校验指定对象是否符合预定义规则
     *
     * @param obj 待校验的对象实例
     */
    void validate(T obj);
}
